Update order status
curl --request PATCH \
--url https://api.wizcommerce.com/v2/orders/{id}/status \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"status": "draft"
}
'import requests
url = "https://api.wizcommerce.com/v2/orders/{id}/status"
payload = { "status": "draft" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 'draft'})
};
fetch('https://api.wizcommerce.com/v2/orders/{id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": "<unknown>"
}{
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}Orders
Update order status
Update order status. Status is passed in the request body (draft, confirmed, cancelled).
PATCH
/
v2
/
orders
/
{id}
/
status
Update order status
The
PATCH request is used to partially update an existing entity by the
given id. This means:- Only the fields provided in the request body will be updated.
- Fields not provided in the request body will remain unchanged.
- The request is idempotent, meaning multiple identical PATCH requests will always result in the same final state.
Was this page helpful?
⌘I
